<h1>La liste des markets </h1>
<button class="mb-3" nz-button nzType="primary" [nzLoading]="loading">
  <i nz-icon nzType="search"></i>Markets trouvés <span class="badge badge-light ml-3">{{pagination.total}}</span>
</button>
<div>
  <div class="mb-3">
<app-filters-markets (onUpdate)="onUpdate()" [(request)]="request"></app-filters-markets>
        <app-pagination
          (onUpdate)="onUpdate()"
          [total]="pagination.total"
          [(paginate)]="pagination.paginate"
          [(index)]="pagination.index"
        ></app-pagination>

    <br>
    <nz-spin nzSize="large" [nzSpinning]="loading">
      <router-outlet></router-outlet>
      <nz-table
        [nzData]="pagination.total"
        [nzFrontPagination]="false"
      >
        <thead>
        <tr>
          <th nzWidth="100px" class="position-relative" [nzChecked]="checked" [nzIndeterminate]="indeterminate" (nzCheckedChange)="onAllChecked($event)">
            <div *ngIf="arrChecked.length" style="color:dodgerblue ;position: absolute;top : 50%; left : 50% ;transform: translate(55%,-50%);"  >{{setOfCheckedId.size}}</div>
          </th>
          <th>Nom</th>
          <th>Status</th>
          <th>[P] totales</th>
          <th>[P] selection</th>
          <th>[P] actives</th>
          <th>Lien</th>
          <th>
            <app-report-markets (afterUpdate)="onGroupUpdate()" [markets]="arrChecked" [selectMultiple]="true">
              <button nz-button nzType="danger" nzSize="small" ><i  nz-icon nzType="delete"></i></button>
            </app-report-markets>
          </th>
        </tr>
        </thead>
        <tbody>
        <tr *ngFor="let market of markets">

          <td [nzChecked]="setOfCheckedId.has(market.name)"
              (nzCheckedChange)="onItemChecked(market.name, $event)">
          </td>
          <td class="btn-link" style="color: black; cursor: pointer"  (click)="navigate(market.name)">{{market.longName}} ({{market.name}})</td>
          <td>
            <nz-tag [nzColor]="colors[market.exclusion.severity]">
              {{market.exclusion.severity ? strSeverities[market.exclusion.severity] : "en service"}}
            </nz-tag>
          </td>
          <td><span><strong > {{market.pairsCount}}</strong></span></td>
          <td><span><strong> {{market.pairsForThis}}</strong></span></td>
          <td>
<!--            <span><strong style="color: #0099ff ; font-size: 100%"> {{market.pairsUsed}}</strong></span>-->
            <strong [ngStyle]="{color : market.pairsUsed === 0 ? 'red' : '#0099ff'}"> {{market.pairsUsed}}</strong>
            <i class="iconeTab" *ngIf="market.pairsUsed === 0" nz-icon nzType="warning" nzTwotoneColor="red" nzTheme="twotone"></i>
          </td>
          <td><a target="_blank" href="{{market.website}}">Lien</a> </td>
          <td>
            <app-report-markets (afterUpdate)="onUpdate()" *ngIf="market" [markets]="[market]" >
              <button nz-button nzType="danger" nzSize="small" nzShape="circle"><i  nz-icon nzType="delete"></i></button>
            </app-report-markets>
          </td>
        </tr>
        </tbody>
      </nz-table>

    </nz-spin>
    <br>
    <app-pagination
      (onUpdate)="onUpdate()"
      [total]="pagination.total"
      [(paginate)]="pagination.paginate"
      [(index)]="pagination.index"
    ></app-pagination>
  </div>
</div>
